scala.tools.nsc.transform.PostErasure

# PostErasureTransformer

#### class PostErasureTransformer extends TypingTransformer

Source
  PostErasure.scala

Linear Supertypes
PostErasure.TypingTransformer, Global.Transformer, Global.Transformer, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PostErasureTransformer
2. TypingTransformer
3. Transformer
4. Transformer
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PostErasureTransformer(unit: Global.CompilationUnit)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PostErasureTransformer to any2stringadd[PostErasureTransformer] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PostErasureTransformer, B)

   Implicit information
     This member is added by an implicit conversion from PostErasureTransformer to ArrowAssoc[PostErasureTransformer] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def atOwner[A](tree: Global.Tree, owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer

8. #### final def atOwner[A](owner: Global.Symbol)(trans: ⇒ A): A

   Definition Classes
     TypingTransformer → Transformer

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var curTree: Global.Tree

    Attributes
      protected
    Definition Classes
      TypingTransformer

11. #### def currentClass: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

12. #### def currentMethod: Global.Symbol

    Attributes
      protected
    Definition Classes
      Transformer

13. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Transformer

14. #### def ensuring(cond: (PostErasureTransformer) ⇒ Boolean, msg: ⇒ Any): PostErasureTransformer

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to Ensuring[PostErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (PostErasureTransformer) ⇒ Boolean): PostErasureTransformer

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to Ensuring[PostErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): PostErasureTransformer

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to Ensuring[PostErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): PostErasureTransformer

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to Ensuring[PostErasureTransformer] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

20. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to StringFormat[PostErasureTransformer] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var localTyper: (analyzer)#Typer

    Definition Classes
      TypingTransformer

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def transform(tree: Global.Tree): Global.Tree

    Definition Classes
      PostErasureTransformer → TypingTransformer → Transformer

32. #### def transformCaseDefs(trees: List[Global.CaseDef]): List[Global.CaseDef]

    Definition Classes
      Transformer

33. #### def transformIdents(trees: List[Global.Ident]): List[Global.Ident]

    Definition Classes
      Transformer

34. #### def transformMemberDefs(trees: List[Global.MemberDef]): List[Global.MemberDef]

    Definition Classes
      Transformer

35. #### def transformModifiers(mods: Global.Modifiers): Global.Modifiers

    Definition Classes
      Transformer

36. #### def transformStats(stats: List[Global.Tree], exprOwner: Global.Symbol): List[Global.Tree]

    Definition Classes
      Transformer

37. #### def transformTemplate(tree: Global.Template): Global.Template

    Definition Classes
      Transformer

38. #### def transformTrees(trees: List[Global.Tree]): List[Global.Tree]

    Definition Classes
      Transformer

39. #### def transformTypeDefs(trees: List[Global.TypeDef]): List[Global.TypeDef]

    Definition Classes
      Transformer

40. #### def transformUnit(unit: Global.CompilationUnit): Unit

    Definition Classes
      Transformer

41. #### def transformValDef(tree: Global.ValDef): Global.ValDef

    Definition Classes
      Transformer

42. #### def transformValDefs(trees: List[Global.ValDef]): List[Global.ValDef]

    Definition Classes
      Transformer

43. #### def transformValDefss(treess: List[List[Global.ValDef]]): List[List[Global.ValDef]]

    Definition Classes
      Transformer

44. #### val treeCopy: Global.TreeCopier

    Definition Classes
      Transformer

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### def →[B](y: B): (PostErasureTransformer, B)

    Implicit information
      This member is added by an implicit conversion from PostErasureTransformer to ArrowAssoc[PostErasureTransformer] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from PostErasure.TypingTransformer

### Inherited from Global.Transformer

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PostErasureTransformer to any2stringadd[PostErasureTransformer]

### Inherited by implicit conversion StringFormat from PostErasureTransformer to StringFormat[PostErasureTransformer]

### Inherited by implicit conversion Ensuring from PostErasureTransformer to Ensuring[PostErasureTransformer]

### Inherited by implicit conversion ArrowAssoc from PostErasureTransformer to ArrowAssoc[PostErasureTransformer]

### Ungrouped